<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package jewelry_accessories
 */

function jewelry_accessories_body_classes( $jewelry_accessories_classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$jewelry_accessories_classes[] = 'hfeed';
	}

	// Adds a class of no-sidebar when there is no sidebar present.
	if ( ! is_active_sidebar( 'sidebar-1' ) ) {
		$jewelry_accessories_classes[] = 'no-sidebar';
	}

	$jewelry_accessories_classes[] = jewelry_accessories_sidebar_layout();

	return $jewelry_accessories_classes;
}
add_filter( 'body_class', 'jewelry_accessories_body_classes' );

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function jewelry_accessories_pingback_header() {
	if ( is_singular() && pings_open() ) {
		printf( '<link rel="pingback" href="%s">', esc_url( get_bloginfo( 'pingback_url' ) ) );
	}
}
add_action( 'wp_head', 'jewelry_accessories_pingback_header' );


/**
 * Get all posts for customizer Post content type.
 */
function jewelry_accessories_get_post_choices() {
	$jewelry_accessories_choices = array( '' => esc_html__( '--Select--', 'jewelry-accessories' ) );
	$jewelry_accessories_args    = array( 'numberposts' => -1 );
	$jewelry_accessories_posts   = get_posts( $jewelry_accessories_args );

	foreach ( $jewelry_accessories_posts as $jewelry_accessories_post ) {
		$jewelry_accessories_id             = $jewelry_accessories_post->ID;
		$jewelry_accessories_title          = $jewelry_accessories_post->post_title;
		$jewelry_accessories_choices[ $jewelry_accessories_id ] = $jewelry_accessories_title;
	}

	return $jewelry_accessories_choices;
}

/**
 * Get all pages for customizer Page content type.
 */
function jewelry_accessories_get_page_choices() {
	$jewelry_accessories_choices = array( '' => esc_html__( '--Select--', 'jewelry-accessories' ) );
	$jewelry_accessories_pages   = get_pages();

	foreach ( $jewelry_accessories_pages as $jewelry_accessories_page ) {
		$jewelry_accessories_choices[ $jewelry_accessories_page->ID ] = $jewelry_accessories_page->post_title;
	}

	return $jewelry_accessories_choices;
}

/**
 * Get all categories for customizer Category content type.
 */
function jewelry_accessories_get_post_cat_choices() {
	$jewelry_accessories_choices = array( '' => esc_html__( '--Select--', 'jewelry-accessories' ) );
	$jewelry_accessories_cats    = get_categories();

	foreach ( $jewelry_accessories_cats as $jewelry_accessories_cat ) {
		$jewelry_accessories_choices[ $jewelry_accessories_cat->term_id ] = $jewelry_accessories_cat->name;
	}

	return $jewelry_accessories_choices;
}

/**
 * Get all donation forms for customizer form content type.
 */
function jewelry_accessories_get_post_donation_form_choices() {
	$jewelry_accessories_choices = array( '' => esc_html__( '--Select--', 'jewelry-accessories' ) );
	$jewelry_accessories_posts   = get_posts(
		array(
			'post_type'   => 'give_forms',
			'numberposts' => -1,
		)
	);
	foreach ( $jewelry_accessories_posts as $jewelry_accessories_post ) {
		$jewelry_accessories_choices[ $jewelry_accessories_post->ID ] = $jewelry_accessories_post->post_title;
	}
	return $jewelry_accessories_choices;
}

if ( ! function_exists( 'jewelry_accessories_excerpt_length' ) ) :
	/**
	 * Excerpt length.
	 */
	function jewelry_accessories_excerpt_length( $jewelry_accessories_length ) {
		if ( is_admin() ) {
			return $jewelry_accessories_length;
		}

		return get_theme_mod( 'jewelry_accessories_excerpt_length', 20 );
	}
endif;
add_filter( 'excerpt_length', 'jewelry_accessories_excerpt_length', 999 );

if ( ! function_exists( 'jewelry_accessories_excerpt_more' ) ) :
	/**
	 * Excerpt more.
	 */
	function jewelry_accessories_excerpt_more( $jewelry_accessories_more ) {
		if ( is_admin() ) {
			return $jewelry_accessories_more;
		}

		return '&hellip;';
	}
endif;
add_filter( 'excerpt_more', 'jewelry_accessories_excerpt_more' );

if ( ! function_exists( 'jewelry_accessories_sidebar_layout' ) ) {
	/**
	 * Get sidebar layout.
	 */
	function jewelry_accessories_sidebar_layout() {
		$jewelry_accessories_sidebar_position      = get_theme_mod( 'jewelry_accessories_sidebar_position', 'right-sidebar' );
		$jewelry_accessories_sidebar_position_post = get_theme_mod( 'jewelry_accessories_post_sidebar_position', 'right-sidebar' );
		$jewelry_accessories_sidebar_position_page = get_theme_mod( 'jewelry_accessories_page_sidebar_position', 'right-sidebar' );

		if ( is_home() ) {
			$jewelry_accessories_sidebar_position = $jewelry_accessories_sidebar_position_post;
		} elseif ( is_page() ) {
			$jewelry_accessories_sidebar_position = $jewelry_accessories_sidebar_position_page;
		}

		return $jewelry_accessories_sidebar_position;
	}
}

if ( ! function_exists( 'jewelry_accessories_is_sidebar_enabled' ) ) {
	/**
	 * Check if sidebar is enabled.
	 */
	function jewelry_accessories_is_sidebar_enabled() {
		$jewelry_accessories_sidebar_position      = get_theme_mod( 'jewelry_accessories_sidebar_position', 'right-sidebar' );
		$jewelry_accessories_sidebar_position_post = get_theme_mod( 'jewelry_accessories_post_sidebar_position', 'right-sidebar' );
		$jewelry_accessories_sidebar_position_page = get_theme_mod( 'jewelry_accessories_page_sidebar_position', 'right-sidebar' );

		$jewelry_accessories_sidebar_enabled = true;
		if ( is_single() || is_archive() || is_search() ) {
			if ( 'no-sidebar' === $jewelry_accessories_sidebar_position ) {
				$jewelry_accessories_sidebar_enabled = false;
			}
		} elseif ( is_home() ) {
			if ( 'no-sidebar' === $jewelry_accessories_sidebar_position || 'no-sidebar' === $jewelry_accessories_sidebar_position_post ) {
				$jewelry_accessories_sidebar_enabled = false;
			}
		} elseif ( is_page() ) {
			if ( 'no-sidebar' === $jewelry_accessories_sidebar_position || 'no-sidebar' === $jewelry_accessories_sidebar_position_page ) {
				$jewelry_accessories_sidebar_enabled = false;
			}
		}
		return $jewelry_accessories_sidebar_enabled;
	}
}

if ( ! function_exists( 'jewelry_accessories_get_homepage_sections ' ) ) {
	/**
	 * Returns homepage sections.
	 */
	function jewelry_accessories_get_homepage_sections() {
		$jewelry_accessories_sections = array(
			'banner'  => esc_html__( 'Banner Section', 'jewelry-accessories' ),
			'product' => esc_html__( 'Product Section', 'jewelry-accessories' ),
		);
		return $jewelry_accessories_sections;
	}
}

/**
 * Renders customizer section link
 */
function jewelry_accessories_section_link( $jewelry_accessories_section_id ) {
	$jewelry_accessories_section_name      = str_replace( 'jewelry_accessories_', ' ', $jewelry_accessories_section_id );
	$jewelry_accessories_section_name      = str_replace( '_', ' ', $jewelry_accessories_section_name );
	$jewelry_accessories_starting_notation = '#';
	?>
	<span class="section-link">
		<span class="section-link-title"><?php echo esc_html( $jewelry_accessories_section_name ); ?></span>
	</span>
	<style type="text/css">
		<?php echo $jewelry_accessories_starting_notation . $jewelry_accessories_section_id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>:hover .section-link {
			visibility: visible;
		}
	</style>
	<?php
}

/**
 * Adds customizer section link css
 */
function jewelry_accessories_section_link_css() {
	if ( is_customize_preview() ) {
		?>
		<style type="text/css">
			.section-link {
				visibility: hidden;
				background-color: black;
				position: relative;
				top: 80px;
				z-index: 99;
				left: 40px;
				color: #fff;
				text-align: center;
				font-size: 20px;
				border-radius: 10px;
				padding: 20px 10px;
				text-transform: capitalize;
			}

			.section-link-title {
				padding: 0 10px;
			}

			.banner-section {
				position: relative;
			}

			.banner-section .section-link {
				position: absolute;
				top: 100px;
			}
		</style>
		<?php
	}
}
add_action( 'wp_head', 'jewelry_accessories_section_link_css' );

/**
 * Breadcrumb.
 */
function jewelry_accessories_breadcrumb( $jewelry_accessories_args = array() ) {
	if ( ! get_theme_mod( 'jewelry_accessories_enable_breadcrumb', true ) ) {
		return;
	}

	$jewelry_accessories_args = array(
		'show_on_front' => false,
		'show_title'    => true,
		'show_browse'   => false,
	);
	breadcrumb_trail( $jewelry_accessories_args );
}
add_action( 'jewelry_accessories_breadcrumb', 'jewelry_accessories_breadcrumb', 10 );

/**
 * Add separator for breadcrumb trail.
 */
function jewelry_accessories_breadcrumb_trail_print_styles() {
	$jewelry_accessories_breadcrumb_separator = get_theme_mod( 'jewelry_accessories_breadcrumb_separator', '/' );

	$jewelry_accessories_style = '
		.trail-items li::after {
			content: "' . $jewelry_accessories_breadcrumb_separator . '";
		}'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

	$jewelry_accessories_style = apply_filters( 'jewelry_accessories_breadcrumb_trail_inline_style', trim( str_replace( array( "\r", "\n", "\t", '  ' ), '', $jewelry_accessories_style ) ) );

	if ( $jewelry_accessories_style ) {
		echo "\n" . '<style type="text/css" id="breadcrumb-trail-css">' . $jewelry_accessories_style . '</style>' . "\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
	}
}
add_action( 'wp_head', 'jewelry_accessories_breadcrumb_trail_print_styles' );

/**
 * Pagination for archive.
 */
function jewelry_accessories_render_posts_pagination() {
	$jewelry_accessories_is_pagination_enabled = get_theme_mod( 'jewelry_accessories_enable_pagination', true );
	if ( $jewelry_accessories_is_pagination_enabled ) {
		$jewelry_accessories_pagination_type = get_theme_mod( 'jewelry_accessories_pagination_type', 'default' );
		if ( 'default' === $jewelry_accessories_pagination_type ) :
			the_posts_navigation();
		else :
			the_posts_pagination();
		endif;
	}
}
add_action( 'jewelry_accessories_posts_pagination', 'jewelry_accessories_render_posts_pagination', 10 );

/**
 * Pagination for single post.
 */
function jewelry_accessories_render_post_navigation() {
	the_post_navigation(
		array(
			'prev_text' => '<span>&#10229;</span> <span class="nav-title">%title</span>',
			'next_text' => '<span class="nav-title">%title</span> <span>&#10230;</span>',
		)
	);
}
add_action( 'jewelry_accessories_post_navigation', 'jewelry_accessories_render_post_navigation' );

/**
 * Adds footer copyright text.
 */
function jewelry_accessories_output_footer_copyright_content() {
    $jewelry_accessories_theme_data = wp_get_theme();
    $jewelry_accessories_copyright_text = get_theme_mod('jewelry_accessories_footer_copyright_text');

	if (!empty($jewelry_accessories_copyright_text)) {
        $jewelry_accessories_text = $jewelry_accessories_copyright_text;
    } else {

		$jewelry_accessories_default_text = '<a href="'. esc_url(__('https://asterthemes.com/products/jewelry-accessories','jewelry-accessories')) . '" target="_blank"> ' . esc_html($jewelry_accessories_theme_data->get('Name')) . '</a>' . '&nbsp;' . esc_html__('by', 'jewelry-accessories') . '&nbsp;<a target="_blank" href="' . esc_url($jewelry_accessories_theme_data->get('AuthorURI')) . '">' . esc_html(ucwords($jewelry_accessories_theme_data->get('Author'))) . '</a>';
		/* translators: %s: WordPress.org URL */
        $jewelry_accessories_default_text .= sprintf(esc_html__(' | Powered by %s', 'jewelry-accessories'), '<a href="' . esc_url(__('https://wordpress.org/', 'jewelry-accessories')) . '" target="_blank">WordPress</a>. ');

        $jewelry_accessories_text = $jewelry_accessories_default_text;

    }
    ?>
    <span><?php echo wp_kses_post($jewelry_accessories_text); ?></span>
    <?php
}
add_action('jewelry_accessories_footer_copyright', 'jewelry_accessories_output_footer_copyright_content');

/* Footer Social Icons */ 
function jewelry_accessories_footer_social_links() {

    if ( get_theme_mod('jewelry_accessories_enable_footer_icon_section', true) ) {

            ?>
            <div class="socialicons">
				<div class="asterthemes-wrapper">
					<?php if ( get_theme_mod('jewelry_accessories_footer_facebook_link', 'https://www.facebook.com/') != '' ) { ?>
						<a target="_blank" href="<?php echo esc_url(get_theme_mod('jewelry_accessories_footer_facebook_link', 'https://www.facebook.com/')); ?>">
							<i class="<?php echo esc_attr(get_theme_mod('jewelry_accessories_facebook_icon', 'fab fa-facebook-f')); ?>"></i>
							<span class="screen-reader-text"><?php esc_html_e('Facebook', 'jewelry-accessories'); ?></span>
						</a>
					<?php } ?>
					<?php if ( get_theme_mod('jewelry_accessories_footer_twitter_link', 'https://x.com/') != '' ) { ?>
						<a target="_blank" href="<?php echo esc_url(get_theme_mod('jewelry_accessories_footer_twitter_link', 'https://x.com/')); ?>">
							<i class="<?php echo esc_attr(get_theme_mod('jewelry_accessories_twitter_icon', 'fab fa-twitter')); ?>"></i>
							<span class="screen-reader-text"><?php esc_html_e('Twitter', 'jewelry-accessories'); ?></span>
						</a>
					<?php } ?>
					<?php if ( get_theme_mod('jewelry_accessories_footer_instagram_link', 'https://www.instagram.com/') != '' ) { ?>
						<a target="_blank" href="<?php echo esc_url(get_theme_mod('jewelry_accessories_footer_instagram_link', 'https://www.instagram.com/')); ?>">
							<i class="<?php echo esc_attr(get_theme_mod('jewelry_accessories_instagram_icon', 'fab fa-instagram')); ?>"></i>
							<span class="screen-reader-text"><?php esc_html_e('Instagram', 'jewelry-accessories'); ?></span>
						</a>
					<?php } ?>
					<?php if ( get_theme_mod('jewelry_accessories_footer_linkedin_link', 'https://in.linkedin.com/') != '' ) { ?>
						<a target="_blank" href="<?php echo esc_url(get_theme_mod('jewelry_accessories_footer_linkedin_link', 'https://in.linkedin.com/')); ?>">
							<i class="<?php echo esc_attr(get_theme_mod('jewelry_accessories_linkedin_icon', 'fab fa-linkedin')); ?>"></i>
							<span class="screen-reader-text"><?php esc_html_e('Linkedin', 'jewelry-accessories'); ?></span>
						</a>
					<?php } ?>
					<?php if ( get_theme_mod('jewelry_accessories_footer_youtube_link', 'https://www.youtube.com/') != '' ) { ?>
						<a target="_blank" href="<?php echo esc_url(get_theme_mod('jewelry_accessories_footer_youtube_link', 'https://www.youtube.com/')); ?>">
							<i class="<?php echo esc_attr(get_theme_mod('jewelry_accessories_youtube_icon', 'fab fa-youtube')); ?>"></i>
							<span class="screen-reader-text"><?php esc_html_e('Youtube', 'jewelry-accessories'); ?></span>
						</a>
					<?php } ?>
				</div>
            </div>
            <?php
    }
}
add_action('wp_footer', 'jewelry_accessories_footer_social_links');

if ( ! function_exists( 'jewelry_accessories_footer_widget' ) ) :
	function jewelry_accessories_footer_widget() {
		$jewelry_accessories_footer_widget_column = get_theme_mod('jewelry_accessories_footer_widget_column','4');

		$jewelry_accessories_column_class = '';
		if ($jewelry_accessories_footer_widget_column == '1') {
			$jewelry_accessories_column_class = 'one-column';
		} elseif ($jewelry_accessories_footer_widget_column == '2') {
			$jewelry_accessories_column_class = 'two-columns';
		} elseif ($jewelry_accessories_footer_widget_column == '3') {
			$jewelry_accessories_column_class = 'three-columns';
		} else {
			$jewelry_accessories_column_class = 'four-columns';
		}
	
		if($jewelry_accessories_footer_widget_column !== ''): 
		?>
		<div class="dt_footer-widgets <?php echo esc_attr($jewelry_accessories_column_class); ?> wow bounceInUp delay-1000" data-wow-duration="2s">
			<div class="footer-widgets-column">
				<?php
				$footer_widgets_active = false;

				// Loop to check if any footer widget is active
				for ($jewelry_accessories_i = 1; $jewelry_accessories_i <= $jewelry_accessories_footer_widget_column; $jewelry_accessories_i++) {
					if (is_active_sidebar('footer-widget-' . $jewelry_accessories_i)) {
						$footer_widgets_active = true;
						break;
					}
				}

				if ($footer_widgets_active) {
					// Display active footer widgets
					for ($jewelry_accessories_i = 1; $jewelry_accessories_i <= $jewelry_accessories_footer_widget_column; $jewelry_accessories_i++) {
						if (is_active_sidebar('footer-widget-' . $jewelry_accessories_i)) : ?>
							<div class="footer-one-column">
								<?php dynamic_sidebar('footer-widget-' . $jewelry_accessories_i); ?>
							</div>
						<?php endif;
					}
				} else {
				?>
				<div class="footer-one-column default-widgets">
					<aside id="search-2" class="widget widget_search default_footer_search">
						<div class="widget-header">
							<h4 class="widget-title"><?php esc_html_e('Search Here', 'jewelry-accessories'); ?></h4>
						</div>
						<?php get_search_form(); ?>
					</aside>
				</div>
				<div class="footer-one-column default-widgets">
					<aside id="recent-posts-2" class="widget widget_recent_entries">
						<h2 class="widget-title"><?php esc_html_e('Recent Posts', 'jewelry-accessories'); ?></h2>
						<ul>
							<?php
							$recent_posts = wp_get_recent_posts(array(
								'numberposts' => 5,
								'post_status' => 'publish',
							));
							foreach ($recent_posts as $post) {
								echo '<li><a href="' . esc_url(get_permalink($post['ID'])) . '">' . esc_html($post['post_title']) . '</a></li>';
							}
							wp_reset_query();
							?>
						</ul>
					</aside>
				</div>
				<div class="footer-one-column default-widgets">
					<aside id="recent-comments-2" class="widget widget_recent_comments">
						<h2 class="widget-title"><?php esc_html_e('Recent Comments', 'jewelry-accessories'); ?></h2>
						<ul>
							<?php
							$recent_comments = get_comments(array(
								'number' => 5,
								'status' => 'approve',
							));
							foreach ($recent_comments as $comment) {
								echo '<li><a href="' . esc_url(get_comment_link($comment)) . '">' .
									/* translators: %s: details. */
									sprintf(esc_html__('Comment on %s', 'jewelry-accessories'), get_the_title($comment->comment_post_ID)) .
									'</a></li>';
							}
							?>
						</ul>
					</aside>
				</div>
				<div class="footer-one-column default-widgets">
					<aside id="categories" class="widget py-3" role="complementary" aria-label="<?php esc_attr_e('footer1', 'jewelry-accessories'); ?>">
                        <h3 class="widget-title"><?php esc_html_e('Categories', 'jewelry-accessories'); ?></h3>
                        <ul>
                            <?php wp_list_categories('title_li='); ?>
                        </ul>
                    </aside>
				</div>
			</div>
			<?php } ?>
		</div>
		<?php
		endif;
	}
	endif;
add_action( 'jewelry_accessories_footer_widget', 'jewelry_accessories_footer_widget' );


function jewelry_accessories_footer_text_transform_css() {
    $jewelry_accessories_footer_text_transform = get_theme_mod('footer_text_transform', 'none');
    ?>
    <style type="text/css">
        .site-footer h4,footer#colophon h2.wp-block-heading,footer#colophon .widgettitle,footer#colophon .widget-title {
            text-transform: <?php echo esc_html($jewelry_accessories_footer_text_transform); ?>;
        }
    </style>
    <?php
}
add_action('wp_head', 'jewelry_accessories_footer_text_transform_css');

/**
 * GET START FUNCTION
 */

 function jewelry_accessories_getpage_css($hook) {
	wp_enqueue_script( 'jewelry-accessories-admin-script', get_template_directory_uri() . '/resource/js/jewelry-accessories-admin-notice-script.js', array( 'jquery' ) );
    wp_localize_script( 'jewelry-accessories-admin-script', 'jewelry_accessories_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
    wp_enqueue_style( 'jewelry-accessories-notice-style', get_template_directory_uri() . '/resource/css/notice.css' );
}

add_action( 'admin_enqueue_scripts', 'jewelry_accessories_getpage_css' );

add_action('wp_ajax_jewelry_accessories_dismissable_notice', 'jewelry_accessories_dismissable_notice');
function jewelry_accessories_switch_theme() {
    delete_user_meta(get_current_user_id(), 'jewelry_accessories_dismissable_notice');
}
add_action('after_switch_theme', 'jewelry_accessories_switch_theme');
function jewelry_accessories_dismissable_notice() {
    update_user_meta(get_current_user_id(), 'jewelry_accessories_dismissable_notice', true);
    die();
}

function jewelry_accessories_deprecated_hook_admin_notice() {
    global $pagenow;
    
    // Check if the current page is the one where you don't want the notice to appear
    if ( $pagenow === 'themes.php' && isset( $_GET['page'] ) && $_GET['page'] === 'jewelry-accessories-getting-started' ) {
        return;
    }

    $dismissed = get_user_meta( get_current_user_id(), 'jewelry_accessories_dismissable_notice', true );
    if ( !$dismissed) { ?>
        <div class="getstrat updated notice notice-success is-dismissible notice-get-started-class">
            <div class="at-admin-content" >
                <h2><?php esc_html_e('Welcome to Jewelry Accessories', 'jewelry-accessories'); ?></h2>
                <p><?php _e('Explore the features of our Pro Theme and take your Jewelry Accessories journey to the next level.', 'jewelry-accessories'); ?></p>
                <p ><?php _e('Get Started With Theme By Clicking On Getting Started.', 'jewelry-accessories'); ?><p>
                <div style="display: flex; justify-content: center; align-items:center; flex-wrap: wrap; gap: 5px">
                    <a class="admin-notice-btn button button-primary button-hero" href="<?php echo esc_url( admin_url( 'themes.php?page=jewelry-accessories-getting-started' )); ?>"><?php esc_html_e( 'Get started', 'jewelry-accessories' ) ?></a>
                    <a  class="admin-notice-btn button button-primary button-hero" target="_blank" href="<?php echo esc_url( JEWELRY_ACCESSORIES_PRO_DEMO ); ?>"><?php esc_html_e('View Demo', 'jewelry-accessories') ?></a>
                    <a  class="admin-notice-btn button button-primary button-hero" target="_blank" href="<?php echo esc_url( JEWELRY_ACCESSORIES_PREMIUM_PAGE ); ?>"><?php esc_html_e('Buy Now', 'jewelry-accessories') ?></a>
                    <a  class="admin-notice-btn button button-primary button-hero" target="_blank" href="<?php echo esc_url( JEWELRY_ACCESSORIES_BUNDLE_PAGE ); ?>"><?php esc_html_e('Get Bundle', 'jewelry-accessories') ?></a>
                </div>
            </div>
            <div class="at-admin-image">
                <img style="width: 100%;max-width: 320px;line-height: 40px;display: inline-block;vertical-align: top;border: 2px solid #ddd;border-radius: 4px;" src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/screenshot.png'; ?>" />
            </div>
        </div>
    <?php }
}
add_action( 'admin_notices', 'jewelry_accessories_deprecated_hook_admin_notice' );


//Admin Notice For Getstart
function jewelry_accessories_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}